
## PDF Viewer App for iOS

### Introduction

This iOS PDF viewer app is based on the open source iOS PDF reader
code from the https://github.com/vfr/Reader repository on GitHub.

### Features

 - Universal: runs on iPad, iPhone and iPod touch.
 - Uses Core Data to keep track of PDF documents.
 - PDF documents can be organized into folders.
 - Supports iTunes File Sharing for file transfers.
 - Handles "Open In..." from other apps (Mail, etc).
 - Multithreaded giving it a responsive UI.
 - In-App HTML-based help.
 - Localization ready.
 - iBooks-like document navigation.
 - Device rotation and all orientations.
 - Encrypted (password protected) PDFs.
 - PDF links (URI and go to page).
 - PDFs with rotated pages.

### Notes

Current development and testing of the PDF Viewer App is under Xcode 5.0,
LLVM 5.0 and iOS 7. The code uses ARC memory management and should work
under iOS 6 as well.

Please see https://github.com/vfr/Reader/blob/master/README.md for notes
on the core code that the PDF Viewer App uses.

### Contact Info

Website: [http://www.vfr.org/](http://www.vfr.org/)

Email: joklamcak(at)gmail(dot)com

If you find this code useful, or wish to fund further development,
you can use PayPal to donate to the vfr-Viewer project:

<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=joklamcak@gmail.com&lc=US&item_name=vfr-Viewer&no_note=1&currency_code=USD"><img src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif"/></a>

### License

This code has been made available under the MIT License.

### Screen Captures

![Viewer-Screen_LD_1.png](http://i.imgur.com/Kgg2CsJ.png)
![Viewer-Screen_LD_2.png](http://i.imgur.com/093sqKG.jpg)
![Viewer-Screen_LD_3.png](http://i.imgur.com/l7s2M32.png)
![Viewer-Screen_LD_4.png](http://i.imgur.com/s1UA5x2.png)
![Viewer-Screen_LD_5.png](http://i.imgur.com/1M4UlbI.jpg)
![Viewer-Screen_SD_1.png](http://i.imgur.com/5ToUoDD.png)
![Viewer-Screen_SD_2.png](http://i.imgur.com/J7PhSki.jpg)
![Viewer-Screen_SD_3.png](http://i.imgur.com/4wz17F6.png)
![Viewer-Screen_SD_4.png](http://i.imgur.com/kge0hLZ.png)
![Viewer-Screen_SD_5.png](http://i.imgur.com/OmVWsEQ.jpg)
